
Foreman - Bug #32389

Incorrect search query is formed while selecting location/organization of the host

04/22/2021 09:02 AM - Ondřej Ezr

Status: Closed   

Priority: Low   

Assignee: Adi Abramovitch   

Category: Inventory   

Target version:    

Difficulty:  Fixed in Releases: 2.4.1, 2.5.0

Triaged: Yes Found in Releases: 1.24.0

Bugzilla link: 1806459 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8490,

https://github.com/theforeman/foreman/p

ull/8501,

https://github.com/theforeman/foreman/p

ull/8502

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1806459

Description of problem:

If you have Organization or Location with 2 or more words like (Default Organization or Default Location). GoTo Hosts -> All Hosts ->

Select/Click a host to see details. On the left-hand detail box, click Organization name (Default Organization) or Location name

(Default Location).

This will take you to the Hosts -> All Hosts page with search query but the query is incorrect so you will see no hosts.

query formed is as below

~

~

organization = Default Organization

~~

Version-Release number of selected component (if applicable):

Foreman 1.24

How reproducible:

Always

Steps to Reproduce:

1. Select the host in "Default Organization"

2. Click the host to see detail page

3. Click on the Default Organization

Actual results:

Wrong search query formed as a result no hosts is shown.

~

~

organization = Default Organization

~~

Expected results:

Search query should be

~

~

organization = "Default Organization" ----> In Quotes

~~

Additional info:

This works fine in Satellite 6.6
Associated revisions

Revision 7fabf78d - 05/04/2021 04:55 PM - Adi Abramovitch 

Fixes #32389 - Quote taxonomies in search query (#8490)

Fixes bug introduced by 377ff66, where we forgot to quote search query strings in links on host details page.

History

#1 - 05/03/2021 07:43 AM - Adi Abramovitch

- Subject changed from Incorrect search query is formed while selecting location/organization of the host

 to Incorrect search query is formed while selecting location/organization of the host

- Assignee set to Adi Abramovitch

#2 - 05/03/2021 01:10 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8490 added

#3 - 05/03/2021 01:30 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

- Found in Releases 1.24.0 added

Introduced in 377ff667bbe3c2df8cd0831d9fe60bb9b316d680.

#4 - 05/04/2021 04:55 PM - The Foreman Bot

- Fixed in Releases 2.5.0 added

#5 - 05/04/2021 05:08 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7fabf78d0f55738ca4a817e0ecaba1189a68fa05.

#6 - 05/05/2021 11:44 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8501 added

#7 - 05/05/2021 11:46 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8502 added

#8 - 05/05/2021 02:07 PM - Tomer Brisker

- Fixed in Releases 2.4.1 added
